#Do not repack the jars as there are permission issues in the
#jar packaging

%define __jar_repack %{nil}

Name:		vassal
Summary:	A game engine for building and playing board games and card games
Version:	3.2.13
Release:	1%dist
Source0:	http://downloads.sourceforge.net/vassalengine/VASSAL-%{version}-src.zip
Source1:	https://boblfoot.fedorapeople.org/vassal/vassal.1.gz
URL:		http://www.vassalengine.org/
BuildRequires:	java-1.7.0-openjdk-devel
BuildArch:	noarch
Requires:	java-1.7.0-openjdk
# This contains several java routines licensed under various FSF licenses
# 
# LGPLv2+ Licensed Packages
# Main Package & Package BrowserLauncher2 & Package jLayer & Package logback &
# Package swing-layout & Package swing-worker & Package swingx
#
# ASL2.0 Licensed Packages
# Package batik & Package commons-codec & Package commons-io 
# Package commons-lang & Package guava & Package smack
#
# SPL Licensed Packages
# Package BeanShell & Package sun-icons & Package wizard 
#
# BSD Licensed Packages
# Package janino
#
# GPLv2 Licensed Packages
# Package java-getopt
#
# CCO Licensed Packages
# Package tango
#
License:	LGPLv2+ and ASL 2.0 and SPL and BSD and GPLv2 and CC0

%description
Vassal is a game engine for building and playing online adaptations of board
games and card games. Play live on the Internet or by email. Vassal runs on
all platforms, and is free, open-source software.

%prep
%setup -q -n VASSAL-%{version}-src
cp -p %SOURCE1 .

%build
make Vengine.jar
chmod a+r lib/Vengine.jar

%install
#make some install dirs
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_exec_prefix}/lib/%{name}
mkdir -p %{buildroot}%{_mandir}/man8

#install package
cp -avr lib %{buildroot}%{_exec_prefix}/lib/%{name}
cp -avr doc %{buildroot}%{_exec_prefix}/lib/%{name}
cp -av vassal.1.gz %{buildroot}%{_mandir}/man8

#create our launch wrapper script
cat > %{buildroot}%{_bindir}/%{name} <<EOF
#!/bin/sh
cd %{_exec_prefix}/lib/%{name}
export CLASSPATH=lib/Vengine.jar
java VASSAL.launch.ModuleManager "\$@"
EOF

#export CLASSPATH=lib/Vengine.jar:/usr/share/java/swingx.jar:/usr/share/java/gnu-getopt.jar:/usr/share/java/apache-commons-lang.jar:/usr/share/java/apache-commons-io.jar:/usr/share/java/batik-all.jar:/usr/share/java/swing-layout.jar:/usr/share/java/jna.jar:/usr/share/java/slf4j/api.jar:/usr/share/java/commons-codec.jar:/usr/share/java/jl1.0.1.jar:/usr/share/java/bsh.jar:/usr/share/java/guava.jar

#make our launch wrapper executable
chmod +x %{buildroot}%{_bindir}/*

#Menu entry
install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Vassal Game Engine
Comment=%summary
Exec=%{name}
Icon=boards_section
Terminal=false
Type=Application
Categories=Game;BoardGame;
EOF

%files
%{_bindir}/*
%{_exec_prefix}/lib/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man8/vassal.1.gz

%changelog
* Mon Aug 18 2014 Bob Lightfoot <boblfoot@fedoraproject.org> 3.2.13-1.el7.centos
- initial build of 3.2.13
